// GdiPlusView.cpp : implementation of the CGdiPlusView class
//

#include "stdafx.h"
#include "MFC_GDI_PLUS.h"

#include "GdiPlusDoc.h"
#include "GdiPlusView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CGdiPlusView

IMPLEMENT_DYNCREATE(CGdiPlusView, CView)

BEGIN_MESSAGE_MAP(CGdiPlusView, CView)
END_MESSAGE_MAP()

// CGdiPlusView construction/destruction

CGdiPlusView::CGdiPlusView()
{
	// TODO: add construction code here

}

CGdiPlusView::~CGdiPlusView()
{
}

BOOL CGdiPlusView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CGdiPlusView drawing

void CGdiPlusView::OnDraw(CDC* pDC)
{
	CGdiPlusDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// How easy is it to use GDI+ in MFC? As easy as ABC, the following
	// code was directly copied from GDI+ help file! Nothing extra needed!
	// 
	Graphics graphics(pDC->m_hDC);
	LinearGradientBrush linGrBrush(Point(0, 10),
								   Point(200, 10),
								   Color(255, 255, 0, 0),   // opaque red
								   Color(255, 0, 0, 255));  // opaque blue

	Pen pen(&linGrBrush);
	graphics.DrawLine(&pen, 0, 10, 200, 10);
	graphics.FillEllipse(&linGrBrush, 0, 30, 200, 100);
	graphics.FillRectangle(&linGrBrush, 0, 155, 500, 30);
	//
	// You can continue explore GDI+ with MFC by browser GDI+ document online, cut-n-paste
	// the sample provided by Microsoft, put them here and see for yourself.
	//
	// Any GDI+ related samples you find on the Internet, which is 99% in .Net language can
	// be easily converted to C/C++.
	//
	// Print preview? I left it out in this sample for your own explore. Enjoy!
}


// CGdiPlusView diagnostics

#ifdef _DEBUG
void CGdiPlusView::AssertValid() const
{
	CView::AssertValid();
}

void CGdiPlusView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CGdiPlusDoc* CGdiPlusView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CGdiPlusDoc)));
	return (CGdiPlusDoc*)m_pDocument;
}
#endif //_DEBUG


// CGdiPlusView message handlers
